[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.GetPxTopLeft

Gets a TPoint instance with the top and left coordinates for the first visible, non-fixed row in the grid control.

## Declaration

Source position: grids.pas line 1123

`protected function TCustomGrid.GetPxTopLeft: TPoint;`

## Function result

TPoint instance with the coordinates for the row.

## Description

GetPxTopLeft is used to implement scrolling operations in the WMHScroll and WMVScroll window message handlers.

## See also

TCustomGrid.WMHScroll |  | Handles the system message for horizontal scrolling.
TCustomGrid.WMVScroll |  | Handles the system message for vertical scrolling.